/* SLASHT.C
Turbo C 1.0 has inline assembler syntax, but unfortunately you
must have Microsoft MASM to actually do the assembly.

This program will patch Turbo C so that it will invoke MASM with
/T on the command line and avoid the annoying messages if there
are no errors.

Useful with MASM 4.0 only.
*/
#include <stdio.h>
FILE *fp;
int c;
main(int argc,char **argv)
{
if (argc != 2) puts("Usage: slasht tcc.exe"), exit(0);
fp = fopen(argv[1],"r+b");
if (fp == 0) puts("File not found."), exit(1);
for (;;)
{
if (feof(fp)) puts("Patch location not found."), exit(1);
if (getc(fp) != 0) continue;
if (getc(fp) != ' ') continue;
if (getc(fp) != ' ') continue;
if (getc(fp) != ';') continue;
fseek(fp,-3L,SEEK_CUR);
putc('/',fp);
putc('T',fp);
fclose(fp);
exit(0);
}
}
